> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/promo-bets-examples-bonus-boosted-odds-payout-modifier/4-fold-accumulator-with-boosted-odds.md).

# 4-fold Accumulator with Boosted Odds

This is an example of a 4-fold accumulator with boosted odds.  The ticket contains only one bet (Bets array length = 1) which further contains four selections (Selections array length = 4).

One of the selections is of type "odds-boost" which contains the boosted (increased) odds and a normal selection of type "uf" or "external". The normal selection contains the normal (non-boosted) odds, as received from the odds feed. So the "odds-boost" selection actually contains two "odds" objects, one representing the boosted odds, the other the non-boosted odds.

In this example, the boosted (increased) odds have a value of 9.5, while the normal odds have a value of 7.1.

MTS will take into account the boosted odds on the selection, but the boosted odds are not part of the ticket placement response.

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
    "operatorId": 9985,
    "content": {
      "type": "ticket",
      "ticketId": "Ticket_6230",
      "bets": [
        {
          "selections": [
            {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14938771",
              "marketId": "223",
              "outcomeId": "1715",
              "specifiers": "hcp=1.5",
              "odds": {
                "type": "decimal",
                "value": "1.1"
              }
            },
            {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:15163591",
              "marketId": "1",
              "outcomeId": "2",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.48"
              }
            },
            {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:15050881",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "1.32"
              }
            }, 
            {
              "type": "odds-boost",
              "selection": {
                "type": "uf",
                "productId": "1",
                "eventId": "sr:match:16470657",
                "marketId": "1",
                "outcomeId": "2",
                "odds": {
                   "type": "decimal",
                   "value": "7.1"
                }
              },
              "odds": {
                "type": "decimal",
                "value": "9.5"
              }
            }
          ],
          "stake": [
            {
              "type": "cash",
              "currency": "EUR",
              "amount": "50"
            }
          ]
        }
      ],
      "context": {
        "channel": {
          "type": "retail",
          "shopId": "shop_789135"
        },
        "limitId": 1409
      }
    },
    "correlationId": "tesd83nky7sc",
    "timestampUtc": 1678886959000,
    "operation": "ticket-placement",
    "version": "3.0"
  }
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "hlDfZ5uX5+SftXxb4+M0Mp3sN7v4cZPEfXBdX4T32qw=",
    "status": "accepted",
    "ticketId": "Ticket_6230",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14938771",
              "marketId": "223",
              "outcomeId": "1715",
              "specifiers": "hcp=1.5",
              "odds": {
                "type": "decimal",
                "value": "1.1"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:15163591",
              "marketId": "1",
              "outcomeId": "2",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.48"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:15050881",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "1.32"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:16470657",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "7.1"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          }
        ],
        "code": 0,
        "message": "Transaction processed"
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "tesd83nky7sc",
  "timestampUtc": 1678886960000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/promo-bets-examples-bonus-boosted-odds-payout-modifier/4-fold-accumulator-with-boosted-odds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
